Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025129
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-11-11 22:322013-12-05 17:21
ReportercaristuView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revisionadf5869fde0c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025129: To pay using credit is not working

DescriptionWhen using customer credit for pay a receipt, the following error is raised: Uncaught TypeError: Cannot call method 'getPaymentStatus' of undefined
Steps To ReproduceIn the backend
1) Configure the pos terminal for allowing pay on credit
2) Assign a credit line limit to any business partner
In the POS Terminal
3) Create a new receipt for business partner in step 2)
4) Pay the receipt.Click on the "Use Credit" button
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062083)
hgbot (developer)
2013-11-12 09:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: adf5869fde0c3b08eacb9e173a5162a21a0d20b0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 12 09:40:40 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]

Fixed issue 25129. Pay on credit will work again

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062200)
hgbot (developer)
2013-11-18 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: adf5869fde0c3b08eacb9e173a5162a21a0d20b0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 12 09:40:40 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]

Fixed issue 25129. Pay on credit will work again

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062282)
guilleaer (developer)
2013-11-20 11:03

verified
(0062568)
hgbot (developer)
2013-12-05 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: adf5869fde0c3b08eacb9e173a5162a21a0d20b0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 12 09:40:40 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]

Fixed issue 25129. Pay on credit will work again

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062631)
guilleaer (developer)
2013-12-05 17:21

Reclosing

- Issue History
Date Modified Username Field Change
2013-11-11 22:32 caristu New Issue
2013-11-11 22:32 caristu Assigned To => marvintm
2013-11-11 22:32 caristu Triggers an Emergency Pack => No
2013-11-11 22:33 caristu Summary Pay using credit is not working => To pay using credit is not working
2013-11-12 09:40 hgbot Checkin
2013-11-12 09:40 hgbot Note Added: 0062083
2013-11-12 09:40 hgbot Status new => resolved
2013-11-12 09:40 hgbot Resolution open => fixed
2013-11-12 09:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]
2013-11-18 12:55 hgbot Checkin
2013-11-18 12:55 hgbot Note Added: 0062200
2013-11-18 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]
2013-11-20 11:03 guilleaer Review Assigned To => guilleaer
2013-11-20 11:03 guilleaer Note Added: 0062282
2013-11-20 11:03 guilleaer Status resolved => closed
2013-11-20 11:03 guilleaer Fixed in Version => RMP29
2013-12-05 12:11 hgbot Checkin
2013-12-05 12:11 hgbot Note Added: 0062568
2013-12-05 12:11 hgbot Status closed => resolved
2013-12-05 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/adf5869fde0c3b08eacb9e173a5162a21a0d20b0 [^]
2013-12-05 17:21 guilleaer Note Added: 0062631
2013-12-05 17:21 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker